interface OptionConfig {
    default?: any;
    coerce?: (v: any) => any;
}
export default class Option {
    rawName: string;
    description: string;
    names: string[];
    isBoolean?: boolean;
    required?: boolean;
    config: OptionConfig;
    negated?: boolean;
    constructor(rawName: string, description: string, config?: OptionConfig);
}
export { OptionConfig };
